EncodingStats.Collector (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.rows

## Class EncodingStats.Collector

- java.lang.Object
- - org.apache.cassandra.db.rows.EncodingStats.Collector

- All Implemented Interfaces:
    PartitionStatisticsCollector
  Enclosing class:
    EncodingStats

      public static class EncodingStats.Collector
      extends java.lang.Object
      implements PartitionStatisticsCollector

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Collector()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EncodingStats` | `collect(Row staticRow, java.util.Iterator<Row> rows, DeletionInfo deletionInfo)`
    `EncodingStats` | `get()`
    `void` | `update(Cell cell)`
    `void` | `update(DeletionTime deletionTime)`
    `void` | `update(LivenessInfo info)`
    `void` | `updateColumnSetPerRow(long columnSetInRow)`
    `void` | `updateHasLegacyCounterShards(boolean hasLegacyCounterShards)`
    `void` | `updateLocalDeletionTime(int deletionTime)`
    `void` | `updateTimestamp(long timestamp)`
    `void` | `updateTTL(int ttl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Collector

          public Collector()

  - ### Method Detail

    - #### update

          public void update(LivenessInfo info)

      Specified by:
        `update` in interface `PartitionStatisticsCollector`

    - #### update

          public void update(Cell cell)

      Specified by:
        `update` in interface `PartitionStatisticsCollector`

    - #### update

          public void update(DeletionTime deletionTime)

      Specified by:
        `update` in interface `PartitionStatisticsCollector`

    - #### updateTimestamp

          public void updateTimestamp(long timestamp)

    - #### updateLocalDeletionTime

          public void updateLocalDeletionTime(int deletionTime)

    - #### updateTTL

          public void updateTTL(int ttl)

    - #### updateColumnSetPerRow

          public void updateColumnSetPerRow(long columnSetInRow)

      Specified by:
        `updateColumnSetPerRow` in interface `PartitionStatisticsCollector`

    - #### updateHasLegacyCounterShards

          public void updateHasLegacyCounterShards(boolean hasLegacyCounterShards)

      Specified by:
        `updateHasLegacyCounterShards` in interface `PartitionStatisticsCollector`

    - #### get

          public EncodingStats get()

    - #### collect

          public static EncodingStats collect(Row staticRow,
                                              java.util.Iterator<Row> rows,
                                              DeletionInfo deletionInfo)

Copyright © 2018 The Apache Software Foundation